org.apache.felix.ipojo.manipulator.metadata.annotation.model.literal

## Class AnnotationPlayback

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.model.literal.AnnotationPlayback

All Implemented Interfaces:
  Playback

    public class AnnotationPlayback
    extends Object
    implements Playback

User: guillaume Date: 08/07/13 Time: 17:15

### Field Summary

Fields
`static List<? extends Class<? extends Serializable>>` `BOXED_TYPES`

### Constructor Summary

Constructors
Constructor and Description
`AnnotationPlayback(Annotation annotation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(AnnotationDiscovery visitor)`
`void` `accept(org.objectweb.asm.ClassVisitor visitor)`
`void` `accept(org.objectweb.asm.FieldVisitor visitor)`
`void` `accept(org.objectweb.asm.MethodVisitor visitor)`
`void` `accept(org.objectweb.asm.MethodVisitor visitor, int index)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BOXED_TYPES

    public static final List<? extends Class<? extends Serializable>> BOXED_TYPES

### Constructor Detail

#### AnnotationPlayback

    public AnnotationPlayback(Annotation annotation)

### Method Detail

#### accept

    public void accept(org.objectweb.asm.FieldVisitor visitor)

Specified by:
  `accept` in interface `Playback`

#### accept

    public void accept(org.objectweb.asm.ClassVisitor visitor)

Specified by:
  `accept` in interface `Playback`

#### accept

    public void accept(org.objectweb.asm.MethodVisitor visitor)

Specified by:
  `accept` in interface `Playback`

#### accept

    public void accept(org.objectweb.asm.MethodVisitor visitor,
                       int index)

Specified by:
  `accept` in interface `Playback`

#### accept

    public void accept(AnnotationDiscovery visitor)

Specified by:
  `accept` in interface `Playback`